Name: oracle-logos
Summary: Oracle icons and pictures.
Version: 4.9.17
Release: 6
Group: System Environment/Base
Source0: oracle-logos-%{version}.tar.gz

License: Copyright 2007 Oracle  All rights reserved.

BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
Conflicts: anaconda-images <= 10
Provides: system-logos
Obsoletes: redhat-logos

%description
The oracle-logos package (the "Package") contains files of the Oracle
logo which are trademarks or
registered trademarks of Oracle in the United States and other
countries.

See the included COPYING file for information on copying and
redistribution.

%prep
%setup -q 

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/redhat
for i in redhat-pixmaps/*; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/redhat
done
(cd $RPM_BUILD_ROOT%{_datadir}/pixmaps/redhat; \
for i in *-mini.xpm; do \
  linkfile=`echo $i | sed -e "s/\(.*\)-mini/mini-\1/"` ; \
  ln -s $i $linkfile ; \
done)

# should be ifarch i386
mkdir -p $RPM_BUILD_ROOT/boot/grub
install -m 644 bootloader/grub-splash.xpm.gz $RPM_BUILD_ROOT/boot/grub/splash.xpm.gz
# end i386 bits

mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
for i in firstboot/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/rhgb
for i in rhgb/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/rhgb
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/BlueCurve
for i in kde-splash/BlueCurve/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/apps/ksplash/Themes/BlueCurve
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gdm/themes/RHEL
for i in gdm/*.png ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/gdm/themes/RHEL
done

(cd anaconda ; make DESTDIR=$RPM_BUILD_ROOT install)

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver
for i in gnome-screensaver/*;  do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/backgrounds/images
for i in backgrounds/images/* ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/backgrounds/images
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties
for i in backgrounds/*.xml ; do
  install -m 644 $i $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING
%{_datadir}/firstboot
%{_datadir}/apps
%{_datadir}/pixmaps
%{_datadir}/gdm
%{_datadir}/rhgb
%{_datadir}/gnome-screensaver/*
%{_datadir}/anaconda/pixmaps/*
%{_datadir}/backgrounds/images/*
%{_datadir}/gnome-background-properties/*.xml
/usr/lib/anaconda-runtime/boot/*png
/usr/lib/anaconda-runtime/*.sh
# should be ifarch i386
/boot/grub/splash.xpm.gz
# end i386 bits


%changelog
* Sat Jun 09 2007 Philip Copeland <philip.copeland@oracle.com> 4.9.17-6
- Temporary fixup for some transparent logo's
- more updated artwork

* Wed Jun 06 2007 Philip Copeland <philip.copeland@oracle.com> 4.9.17-4
- More updated artwork added

* Tue May 22 2007 Philip Copeland <philip.copeland@oracle.com> 4.9.17-3
- anaconda/sysimage-splash.jpg changed
- fixed spec file (don't include older tarball)

* Sat May 20 2007 Philip Copeland <philip.copeland@oracle.com> 4.9.17-2
- Second pass at the graphics

* Thu Mar 22 2007 Philip Copeland <philip.copeland@oracle.com> 4.9.17-1
- First pass cut at changing graphics
- There are numerous backgrounds that need changed ad the odd number of
  gaphics that are new from the previous EL4 version that need updateing
  Additionally some of whats been ported forward may not be entirely
  correct/relevent
